blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
680b03b1b5a35f178c04ef77a9bfa78887e5a7ae | 832 | #!/bin/bash
workingDir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
dir=~/.config/kitty
source $workingDir/../functions.sh
source $workingDir/../commandParser.sh -scope kitty "$@"
if ! command_exists kitty ; then
if flags_exists no-sudo ; then
echo "kitty not installed, cant insta... |
71779d861f5ac184205f6c1fc3b3b52de7a7c388 | 105 | #!/bin/bash
if [ -f "${1}" ];then
ssh-keygen -t ed25519 -f "${1}"
else
print("KEY NAME MISSING")
fi
|
67815396fd22cd8021a01f99d1f8a931e60c7cca | 915 | #!/bin/bash -l
# The -l above is required to get the full environment with modules
# Set the allocation to be charged for this job
# not required if you have set a default allocation
#SBATCH -A edu17.DD2438
# The name of the script
#SBATCH -J combine
# Email
#SBATCH --mail-type=BEGIN,END
# Only 1 hour wall-clock ti... |
43f71a8989b6bb49cde7dda66baa851954d6022f | 284 | #!/usr/bin/env bash
# Install latest node version, activate it and set as default
nvm install node
nvm use node
nvm alias default node
# Install global node packages
npm install -g npm@latest
npm install -g gulp
npm install -g gulp-cli
npm install -g bower
npm install -g grunt-cli
|
c8b0221fd1a91375209e0b0b7865115717cb681f | 2,121 | #!/bin/zsh
. `pwd`/poetryAndStuff.sh
if [ ! -d Crushes ]
then mkdir Crushes
fi
case $1 in
a)
echo -n "How many crushes do you want to add? : "
read numberOfCrushes
echo "Enter first names only, its polite :)"
for i in {1..$numberOfCrushes}
do
echo -n "Enter name :) - "
read name
echo ... |
10b72f2e1c3def9b0caf6fd9046ee96cd901f452 | 495 | #!/bin/bash
set -e
# Note: use "_" instead of "-" for NETWORK
NAME=$1
NETWORK=$2
HERE=$(dirname "$(readlink -f "$0")")
ROOT=$(readlink -f "$HERE/..")
. "$ROOT/configuration/environment"
. "$ROOT/utils/functions"
C_NAME=$(c "$NAME")
MAC_ADDRESSES=$("$ROOT/ssh" manager-root "$(cat <<- EOT
set -e
virsh domiflist $C... |
71eafec26754e4c26ca757efb4b6c3a18006ddf9 | 95 | # This file should not have any sensitive data.
PORT=3000
REDISTOGO_URL=redis://localhost:6379
|
e2f77781d7b5693ee0b194f5945d5cef3e20b4d7 | 1,286 | #!/bin/bash
set -e
# Retrieve current versions from Clojars
declare -A versions
OFS=$IFS
IFS=$'\n'
for e in $(curl -s https://clojars.org/api/groups/cljsjs | jq -c ".[]"); do
group=$(echo $e | jq -r ".group_name")
artifact=$(echo $e | jq -r ".jar_name")
id="$group/$artifact"
version=$(echo $e | jq -... |
efcbe25f0f655c4a7412f1cb49dbb12ac446ec56 | 1,389 | #!/usr/bin/env bash
##> Docker compose modification for bind mount
#
#- We can define volume type in the compose file
#
#- bind-mount : method 1 : (Docker will identify bind mount and proceed accordingly)
#-
#- volumes:
#- - tomcat-volume:/opt/tomcat
#- - bim-home:/var/bimserver/home
#- - bim-... |
4962a527b189443343e29ede55830c3343ecdb54 | 271 | #!/bin/bash
cd /Users/EamonBachari/Documents/TIYDay1/projects
mkdir projects
cd projects
touch README.md fizz.txt buzz.txt deleteme.txt
echo Test Text >> README.md
mkdir texts
mv *txt texts/
cat README.md > texts/deleteme.txt
cat texts/deleteme.txt
rm texts/deleteme.txt
|
7da31ca93b6c1c05b410ee6f88084646a64a4814 | 39 | #!/bin/sh
ipython3 ./PanEDM_Control.py
|
0317f8424f50ee2f87e0ca02275f272c6c22b384 | 2,150 | #!/bin/bash
apt-get -y install nova-compute nova-network nova-api-metadata
read "Is your internal network card eth1? (y/n): " network
if network == y
then
eth1=$(/sbin/ifconfig eth1| sed -n 's/.*inet *addr:\([0-9\.]*\).*/\1/p')
else
eth1=$(/sbin/ifconfig eth0| sed -n 's/.*inet *addr:\([0-9\.]*\).*/\1/p')
fi
. comp... |
be0731f2e7708afc36265a320b75352b07310500 | 190 | # the root directory (corresponds to the git)
ROOT=$(git rev-parse --show-toplevel)
# export the library path
export LD_LIBRARY_PATH=${ROOT}/lib/cudd/libso
export LIB_CUDD=${ROOT}/lib/cudd
|
08b5bbee9df240be162a7e220dc412c5e4df3023 | 1,906 |
===== TBO190048-Hokkaido-Cat-WGRS-20190312 =======================================================================================================================================================
#fork
python HokkaidoSystemScience_script.1.py -f Raw/TN1902D0330_1.fq.gz -r Raw/TN1902D0330_2.fq.gz -s Ig17064 -g Ref/... |
34d3085004cbbe6fae42b8f6fa7f8c0191285a17 | 327 | #!/bin/bash
#demo one of the class
printf "Current Working Dir:<033[0m'\t%s\n'\033[34;40mHostName:\033[0m'\t%s\n'Bash Version':\t%s\n""\033[0m" $PWD $HOSTNAME $BASH_VERSION
#echo "Hostname: $HOSTNAME"
#echo "Bash Version: $BASH_VERSION"
#$echo "Time (seconds): $SECONDS"
#echo "Machine Type: $MACHTYPE"
#echo "Filenam... |
8c4a360ac47df0cdf1f0a6ce2439098d116d4502 | 3,242 | #!/bin/bash
## basic exercises
# 0.entries
cd basic/0.entries
CARGO_TARGET_DIR=target cargo build --release --target wasm32-unknown-unknown
hc dna pack workdir
cd tests
npm install &&
OUTPUT=$(npm test)
FAILED="$(echo "$OUTPUT" | grep -o '# fail ')" # expected that zero tests fail
cd ../../.. #back to base folder
... |
fcef3a1f26b20da2989b325fdf0131fa8eb01346 | 1,673 | cd /data
DATA_FREE_SPACE=`df -k /data | tail -n1|awk '{print $4}'`
DATA_FREE_SPACE_MB=`expr $DATA_FREE_SPACE / 1024`
echo "Data partition free space(MB):"
echo $DATA_FREE_SPACE_MB
EMMC_TAR_GZ_SIZE_MB=`du -m emmc.tar.gz | awk '{print $1}'`
echo "emmc.tar.gz size(MB)"
echo $EMMC_TAR_GZ_SIZE_MB
DATA_NEED_SPACE_MB=`expr ... |
6dd8f48e7a8a03e48f1fbf6ee0fdb844ef5db1f7 | 1,041 | #!/bin/bash
# Install required packages
apt-get update
apt-get -y install wget
apt-get -y install unzip
apt-get -y install default-jre-headless
# Download and unzip Tomcat
cd ~
wget http://central.maven.org/maven2/org/apache/tomcat/tomcat/7.0.64/tomcat-7.0.64.zip
unzip tomcat-7.0.64.zip
mv apache-tomcat-7.0.64 tomcat... |
461859c50cd303ffa60e87afb6d66e3b2f3ba362 | 5,263 | #!/bin/bash
################################################################################
#
# Title: Binary Signing Script for macOS
# Author: Shane Lee
# Date: December 2020
#
# Description: This signs all binaries built by the `build_env.sh` script as
# well as those created by installing salt. It ass... |
946812cc5fb0a5223e330470ad2918feb8e8c5fd | 411 | #!/bin/bash -x
FIX="${*}"
test "X${FIX}" = "X" && FIX='/etc/syslog.conf'
sleep 1
TSTAMP=`date +%Y-%m-%d_%H:%M:%S`
SELF=`basename $0`
grep -E "(authpriv.info;.*authpriv.none;|authpriv.none;.*authpriv.info)" ${FIX}
NEEDS="$?"
test "X${NEEDS}" != "X0" -a "X${SELF}" != "X" -a "X${TSTAMP}" != "X" -a "X${FIX}" != "X" && pe... |
4ff4030011d4477d98352d470248b4077a80b04b | 663 | #!/usr/bin/env bash
# Download and unzip the CDI TCK dist
wget http://download.eclipse.org/ee4j/cdi/cdi-tck-2.0.6-dist.zip
shasum -a 256 cdi-tck-2.0.6-dist.zip
unzip cdi-tck-2.0.6-dist.zip
# Install the TCK artifacts into local repo
pushd .
cd cdi-tck-2.0.6/artifacts
bash artifact-install.sh
popd
# Download Wildfly/... |
4c50d170fa1aaf13bf5516edb9750877c19a1b76 | 485 | ## Master server ,first need to run "chmod +x *.sh" in command line
#!/bin/sh
### step1: install git
echo "Installing git..."
yum install git
### step2: config
echo "Configing git..."
git config --global user.name "Johnny Cao"
git config --global user.email "johnnycao@chinasystems.com"
## No password for git comm... |
963b096ae15f19f82fb4fbe098afda83d8f53571 | 150 | #!/bin/bash
for i in `seq 1 10`; do
node main.js && s=$? && break || s=$?;
echo 試行 $i 回目: 5秒待機中...;
sleep 5;
done;
exit $$s
|
a75d2dbb4e8b88085a44ae1e66e166ad82c0d4b8 | 1,812 | #!/usr/bin/env zsh
#local return_code="%(?..%{$fg[red]%}%? ↵%{$reset_color%})"
# Altera by Jorge Borges
# Use with a dark background and 256-color terminal!
# You can set your computer name in the ~/.box-name file if you want.
# Borrowing shamelessly from these oh-my-zsh themes:
# fino
# bira
# robbyrussell
#... |
837b20ebf95fa689226a71866829761fd550a178 | 51 | #!/bin/sh
ip link set wmon0 down
iw dev wmon0 del
|
9a90be2960fefb05ca6d3f611b783e05b1fb97b2 | 1,357 | # Maintainer: Caleb Maclennan <caleb@alerque.com>
# Maintainer: Guillaume Horel <guillaume.horel@gmail.com>
# Contributor: William Turner <willtur.will@gmail.com>
_pyname=booleanOperations
pkgname=python-${_pyname,,}
pkgver=0.9.0
pkgrel=3
pkgdesc='Boolean operations on paths'
arch=(any)
url="https://github.com/typemyt... |
3001e06ef5f95cc69d36d68d823d596557d54c29 | 776 | #!/bin/bash
echo "------Welcome To Smanager------"
echo "Options--"
echo "1. Delete Photos that are 90 days old"
echo "2. Delete videos that are 90 days old"
x=$(pwd)
read ch
cd ~/Documents
case $ch in
1)
find -mtime +90 -name "*\.png" | rename 's/ /_/g'
a=$(find -mtime +90 -name "*\.png")
b=$(find -mtime +9... |
d3306bf25052f1bfa7b5b2bb32d5ed468c3b1d1e | 1,028 | #!/bin/bash
# c0lby:
source root_plist_utility.sh
##########################################################
############## Create New Root.plist file ##############
##########################################################
PreparePreferenceFile
AddNewPreferenceGroup -t "About"
AddNewTitleValuePreference ... |
ef06a2a4a59647f7c2242007de80d03d7c102617 | 49 | git clone https://github.com/fastai/courses.git
|
34d7cc4e7310ecc9861cc345a205360bf7049a51 | 644 | #! /bin/bash
cd $1
javac -g Main.java
if [ $? -ne 0 ]; then
exit 1
fi
main_class=Main
command="java daikon.Chicory --daikon-args='--no_text_output --config=../config.txt' --daikon $main_class"
print_invariants="java daikon.PrintInvariants --format java $main_class.inv.gz"
# First run the program with just passi... |
4e974670ac64b5910fed2d96f07cf811b3b8cde8 | 47 | while [ $? -ne "1" ]
do
python2 7.py
done
|
fb13959dd63354c2627296768456d4a5b76f5ef7 | 135 | NODE_ENV=development
PORT=5000
DATABASE=simple-sosmed
USERNAME=root
PASSWORD=12345
HOST=127.0.0.1
DIALECT=mysql
MAX=5
MIN=0
IDLE=10000 |
e13a3440daa61382f038ecff715e055cba8dcc3c | 1,129 | #!/bin/sh
# TODO: compile the gnu readline library for line editing support
set -e
. ../../common.sh
cd $WORK_DIR/overlay/$BUNDLE_NAME
# Change to the Lua source directory which ls finds, e.g. 'lua-5.3.4'.
cd $(ls -d lua-*)
echo "Preparing 'Lua' work area. This may take a while."
# we install lua to /usr and not ... |
9ca588b8390b5bcb9748bf0bae4756df8db93522 | 1,001 | #!/bin/sh
# Minimal Android Debug initrd
# 2013-10-21 Thomas Perl <m@thp.io>
export PATH=/bin:/sbin
# Mount basic file systems
mount -t proc none /proc
mount -t sysfs none /sys
echo 255 > /sys/class/leds/led:rgb_blue/brightness
sleep 3
# Prepare /dev
mount -t tmpfs -o size=64k,mode=0755 tmpfs /dev
mkdir /dev/pts
m... |
6f46bc846f199d38582b9de52ee0f30dd8237b24 | 75 | #!/bin/bash
#ssh -h -2 trigger@altri1 $*
ssh -h -2 trigger@alidcscom835 $*
|
d904729fbb96490dc11908b608268fc8cd8a02e9 | 1,548 | #!/bin/sh
#Author : Sakir Beg
#Copyright (c) LazieDev
#Script that automatically uninstalls the complete program from your system.
COLUMNS=$(tput cols)
title="AutoApp UnInstaller v1.0"
printf "\n%*s\n" $(((${#title}+$COLUMNS)/2)) "$title"
userinput="y"
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -
echo Ente... |
8b5462b2b444092aacf3aebf6c472ed1333720b1 | 14,480 | #!/bin/bash
function createtribe1() {
infoln "Enrolling the CA admin"
mkdir -p organizations/peerOrganizations/tribe1.example.com/
export FABRIC_CA_CLIENT_HOME=${PWD}/organizations/peerOrganizations/tribe1.example.com/
set -x
fabric-ca-client enroll -u https://admin:adminpw@localhost:7054 --caname ca-tribe... |
8fcfe73bf2170b0c64e2def722642874e8221f19 | 579 | #!/bin/bash
# dump address table records for a specific street
ADDRESS_DB="/data/address.db";
STREET_DB="/data/street.db";
P1="174.766843";
P2="-41.288788";
NAME="glasgow street";
sqlite3 $ADDRESS_DB "ATTACH DATABASE '$STREET_DB' as 'street'; \
SELECT address.* FROM street.rtree \
JOIN street.names ON street.n... |
f1695ea2c41c54ded3acdd7bbe3731c07e126149 | 325 | #!/bin/bash
. /opt/tr069/common.sh
if [ "$ACTION"x = "get"x ];then
cpin=`uci -c /opt/config get status.module.sim_stat 2>/dev/null`
if [ "$cpin"x != "true"x ];then
echo '--'
exit 0
fi
ul_mcs=`uci -c /opt/config get tr069.radio.ulMcs 2>/dev/null`
echo $ul_mcs
fi
ex... |
e841fdfd456c8fbc9b3c8976bf71754677309de7 | 123 | cd java-server
./build.sh
cd ..
heroku deploy:jar java-server/build/libs/rmnp-camping-backend-0.1.0.jar --app rmnp-camping
|
c16813dd102efb52622fdcb9b29c3d05a6f82efd | 354 | #!/bin/sh
#
# descent.sh - customizable recursive source tree descent
#
ROOT=$JOOSDIR/src
visit() {
# TODO: make copy of this file and fill this function
echo `basename $1`
}
# 1 param: directory
descent_rec() {
echo descending $1...
for f in `ls $1`; do
visit $1/$f
if test -d $1/$f; then
descent_rec $1/$... |
2026facec402d0c876afe5bd83a9bfd34e86f1d4 | 223 | #!/bin/bash
PrinterInstallerInfo=$(cat /opt/PrinterInstallerClient/VERSION)
if [ ! -z "$PrinterInstallerInfo" ] ; then
echo "<result>$PrinterInstallerInfo</result>"
else
echo "<result>not found</result>"
fi
exit 0
|
5c6b80f900a8bfd085179922cb19cfb7c57822ed | 11,047 | #!/bin/bash
sed -i 's/http:\/\/i.imgur.com\/tBEBEGX.jpg/no2o\/lemon_chiffon_dark_orange_preview.jpg/' no2o.json
sed -i 's/http:\/\/i.imgur.com\/QdXBG5D.png/no2o\/lemon_chiffon_dark_orange_image_0.png/' no2o.json
sed -i 's/http:\/\/i.imgur.com\/6AtRdBe.jpg/no2o\/lemon_chiffon_dark_orange_image_1.jpg/' no2o.json
sed ... |
e76c13d076999f4456eb2b559ce99802e942e6cf | 114 | sac << END
m quick2012.macro
quit
END
sac << END
m quick2013.macro
quit
END
sac << END
m quick2014.macro
quit
END
|
7adef7cb0b7dbea7c935ca3705f42ab365506235 | 765 | #!/bin/sh
set -e
IMAGE=femtoos.img
ISO=femtoos.iso
TMP=/tmp/femtoos
IMAGESIZE=10000
#
# remove old file
#
rm -f $IMAGE
rm -f $ISO
#
# build kernel
#
make clean
make
#
# make .img file, with the kernel and with grub
#
dd bs=1k count=$IMAGESIZE of=$IMAGE if=/dev/zero
mdconfig -a -t vnode -f $IMAGE -u 0
gpart create -... |
0d3ee48518751eb22371ce07ec7bf9dd56852e3f | 485 | #!/bin/bash
#How to install USB in Virtualbox
cat << _EOF_
<html>
<head>
<title>
## **How to Install USB in VirtualBox**
</title>
</head>
<body>
1. Download and Install virtualbox extension Pack on windows.
2. After installing, reboot the *host OS* for changes to take effect.
3. Under settings in virtualNox *go to... |
319663f0d69e067581087958a74524ab61fe2e62 | 1,306 | # run this script: bash install.sh
#
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install xfce4
sudo apt-get install jockey-gtk
sudo apt-get install xdm
sudo apt-get install ipython
sudo apt-get install python-numpy
sudo apt-get install python-scipy
sudo apt-get install python-matplotlib
sudo apt-get install... |
4a4ea9df536956f1c9e5c9eeac63444b162b6a72 | 1,399 | #!/usr/bin/env bash
#DMG_filename="git-latest-osx-installer.dmg"
#DMG_filename_extension="${DMG_filename##*.}"
#DMG_filename_without_extension=$(basename "${DMG_filename}" .dmg)
#DMG_PKG_pathname="/Volumes/Git * Intel Universal/git-*-intel-universal-*.pkg"
#DMG_PKG_filename="${DMG_PKG_pathname##*/}"
mkdir -p ${HOME}/... |
2932a72d19a3d33fceb123cf989b8644b5f161e4 | 305 | #!/bin/sh
cd $(dirname "$0")/../easy-rsa
{
(cd pki/issued;ls client-* 2>/dev/null | sed -n 's/^client-\(.*\).crt$/\1/p')
(cd pki/private;ls client-* 2>/dev/null | sed -n 's/^client-\(.*\).key$/\1/p')
(cd pki/reqs;ls client-* 2>/dev/null | sed -n 's/^client-\(.*\).req$/\1/p')
} | sort | uniq
|
00586e51b2c7e3941843e8fba32d6826595aa873 | 1,285 | #!/bin/sh
#find . -name "s2-corpus-*" -print -exec gunzip -k -S ".json" {} /; -exec
#&& gunzip *.gz &&
#find . -name "s2-corpus-*" -print -exec mongoimport --numInsertionWorkers 2 --db search --collection semanticscholar --file {} \; -exec rm {} \;
#find . -name "s2-corpus-*" -print -exec curl -XPOST 'localhost:920... |
c9733e34d0f50fd1ac922a70d3046ad9032a269a | 191 | #!/bin/sh
# Script.sh
# MacTech Demo
#
# Created by Pelle on 2016-11-14.
# Copyright © 2016 MacTech. All rights reserved.
echo "Script running with args '$@'"
say -v Alva "$@"
exit 0
|
696b866c3c235ddb0f120dc248b48184ee98ec7e | 847 | #!/bin/sh
# This script is called by udev when a partition on a
# removable USB block device is added or changed.
# It creates a readonly mount unit via systemd and starts it.
# systemd will handle the removal itself.
action=$1
devpath=$2
devunit=$(systemd-escape --path --suffix device $devpath)
mountpoint=/media/usb... |
4695c5846ea39ca536db0830c791f96d016d3299 | 64 | #!/bin/bash
uptime | awk -F'load averages(s|): ' '{ print $2 }'
|
9a6df2cec4d851d6d8f37abb305380c64588a5d8 | 61 | #!/bin/bash
DATACUBE=$1
node lib/upload_datacube.js $DATACUBE |
8c9bd3cf7fbf7c22c7d8bccdf5e57b18beb82e4e | 26 | #!/bin/bash
echo "*.txt"
|
bbc474b6a28064976cce578b19297dbfcc51922d | 171 | #!/usr/bin/expect
#author jack
#用途: expect 实现自动化
spawn ./interactive.sh
expect "Enter number :"
send "1\n"
expect "Enter name :"
send "jack\n"
expect eof
|
922c69c0943d067bccc3ae0f8f1eec3b7b47a025 | 12,480 | #!/bin/bash
# Script to back up the home directory using rsync
# COMPLETE: This is to do a complete backup. The procedure will simply create a new directory
# dated with the current time and do a full backup of the /home/maxx/
#===========================================================================... |
3d94368da727d55416d9dc90cba994d529b70164 | 516 | #!/bin/bash
if [ $# -lt 1 ]; then
echo "Usar $0 pcs [off|on] [-F]"
exit 0
fi
if [ $# -lt 2 ]; then
op="off"
else
op=$2
fi
if [ $# -lt 3 ]; then
F="-no"
else
F=$3
fi
for num in $(seq 0 10)
do
if [ $op == "off" ]; then
./send_com.sh $1 "if [ \$(who | grep -v unknown | grep -v root... |
6d266b55f654f8c25b66e52523d6e4eab85959f4 | 537 | #!/bin/bash
../gem5-fy/build/X86_MESI_Two_Level/gem5.opt -d ../gem5-out-disk/mtrace-micro2017/l2-prime-probe/ref-evict --debug-flag=WayEvictMICRO17 --debug-file=evict-way.out ../gem5-fy/configs/example/fs.py --cpu-type=timing --kernel=x86_64-vmlinux-2.6.28.4-smp -n 4 --l1d_size=32kB --l1i_size=32kB --l1d_assoc=2 --... |
cfea436c0d759f0d521d17dca9f5610f81d57d13 | 150 | #!/bin/sh -eux
mkdir -p /etc;
cp /tmp/geco-metadata.json /etc/geco-metadata.json;
chmod 0444 /etc/geco-metadata.json;
rm -f /tmp/geco-metadata.json;
|
14dbf22ff39d1ce1a96632bd554e7dc5bbc7930e | 351 | #!/bin/bash
# add following ssh keys on zsh start
ssh-add ~/.ssh/git-symphony/bungee-symphony-pem > /dev/null 2>&1
ssh-add ~/.ssh/git-symphony/bungee-symphony > /dev/null 2>&1
ssh-add ~/.ssh/platoon/bk-platoon-aws.pem > /dev/null 2>&1
# ssh-add ~/.ssh/platoon/bungee-platoon-aws > /dev/null 2>&1
ssh-add ~/.ssh/platoon/... |
a7381bfb8bff612bd7b58f9ec11c7b2636252db6 | 9,641 | #!/bin/sh
# v0 - in progress
# set -x
reset
####################################################################################################
#
# Copyright (c) 2015, JAMF Software, LLC. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permit... |
853415f5ff92864a3b5cf127200fa3890b39e3a9 | 5,310 | #!/bin/bash
INSTALL_DIR=/usr/local/bin
TEMP_DIR=`mktemp -d /tmp/eibd.XXXXXX`
EIBD_bin=$INSTALL_DIR/eibd
pthsem_url="http://downloads.sourceforge.net/project/bcusdk/pthsem/pthsem_2.0.8.tar.gz?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fbcusdk%2Ffiles%2Fpthsem%2F&ts=1414933358&use_mirror=freefr"
bcusdk_url="http://downl... |
7b98a7ef7c1a0b36fe135c179495c9b4a7fe5202 | 470 | #!/usr/bin/env bash
prompt_setter() {
# Save history
history -a
history -c
history -r
PS1="(\t) $(scm_char) [$blue\u$reset_color@$green\H$reset_color] $yellow\w${reset_color}$(scm_prompt_info)$(ruby_version_prompt) $reset_color "
PS2='> '
PS4='+ '
}
PROMPT_COMMAND=prompt_setter
SCM_THEME_PROMPT_DIRTY="... |
01988cffb8bf45f31f3d01e3bc24233052bd7d19 | 88 | #!/bin/bash -e
if [[ "$#" -eq "0" ]]; then
exec go run server.go
else
exec "$@"
fi
|
870b0e2ccebcaaf39ce6041cff2fa1fa11165f04 | 417 | #!/bin/bash -e
echo "==> Packaging..."
rm -rf output/dist && mkdir -p output/dist
tar --exclude='./.git' --exclude='./output' -cvzf ./output/dist/conjur-api-go.tar.gz .
# # Make the checksums
echo "==> Checksumming..."
cd output/dist
if which sha256sum; then
sha256sum * > SHA256SUMS.txt
elif which shasum; then... |
b11aeb3007cb9670b26629b32e9df5a87c79f2a8 | 1,290 | #!/bin/bash -eu
# Copyright 2019 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... |
1aa5ceed3140959d42f2b3098086560e1e175033 | 2,464 | #!/bin/bash
echo "[$(basename $0) hook START]"
ORIG_DIR="$(pwd)"
PROJECT="$(git rev-parse --show-toplevel)"
cd "$PROJECT"
STAGED_FILES_CMD=`git diff --cached --name-only --diff-filter=ACMR HEAD | grep \\\\.php | grep -v _ide_helper\\\\.php`
# Determine if a file list is passed
if [ "$#" -eq 1 ]; then
oIFS=$IFS
IFS... |
ad00e997809fb098633f2ce8427367bab28bc958 | 55 | #!/bin/sh
ffmpeg -r 10 -b 360000 -i %03d.jpg test.mp4
|
d4352aff7a8d818abd85fbcbd520c302f7897426 | 1,577 | #!/bin/sh
# Gets ready to add custom things to the path and adds the paths that I
# consistently use. This script can be sourced by sh and any variant.
# before_system_path=
# system_path=${PATH}
# after_system_path=
# Used internally
detect_system_path() {
system_path=`echo ${PATH} | sed -e "s|${before_system_... |
75404d0c077babf592cac9c2eb644730916080ef | 452 | #!/bin/bash
USER=${USER:=rstudio}
PASSWORD=${PASSWORD:=rstudio}
USERID=${USERID:=1000}
ROOT=${ROOT:=FALSE}
export HOME=/home/$USER
useradd -u $USERID $USER
addgroup $USER staff
echo "$USER:$PASSWORD" | chpasswd
chmod go-rx /usr/bin/passwd
mkdir -p $HOME
if [ "$ROOT" == "TRUE" ]
then
adduser $USER sudo && echo ... |
891de5448ec603a2950b34361fa2c6eb13cd34a8 | 98 | #!/bin/sh
./build/sim/agent/agent1 ./configs/a1/m_ee_chemoonly.json ./configs/a1/e_retablate.json
|
cba6b61e694b88644aea628313dfd8eca62cfe7e | 428 | #!/bin/bash
echo Committing this repo
git add .
git commit
git push
echo copying to blakwurm.github.com repo
rm -rf ../blakwurm.github.com/*
cp CNAME ../blakwurm.github.com
cd resources/public
cp -r * ../../../blakwurm.github.com
cd ../../
echo commiting blakwurm.github.com
cd ../blakwurm.github.com
git add .
git c... |
46e0ffc761453b4ce0877d83ebc444e0aaa7a59d | 139 | #!/bin/bash
cd $PROJECT_DIR
./Scripts/CreateIncludeOSServerBuild.sh
tar czf IncludeOSServer.tar.gz IncludeOSServer
rm -rf IncludeOSServer
|
dcdb58e91a82c71e533d6f7e714e1ed525413a6f | 306 | #!/usr/bin/env bash
PROJECT_ROOT=/code/DJTT/FTTv2
WORKDIR=/code/DJTT/DJTTv2/api/src/apps/
VIRTUALENV=/code/DJTT/DJTTv2/venv
source $VIRTUALENV/bin/activate
cd $WORKDIR
echo "Running Celery Worker - itd"
$VIRTUALENV/bin/celery -A celery_handler.workers.itd worker --loglevel=info -Q itd --hostname=itd@%h
|
27442988ad9152aaaeca4e0806a9789f33d511dc | 16,315 | v_table_data_date=$1
if [[ v_table_data_date -eq "" ]];
then echo "Date not passed as parameter"; v_table_data_date=$(date -d '-1 days' +%Y%m%d);
else echo "Date provided" ;
fi
v_dataset_name=nb_reports;
date
# Downstream table loading. Replace existing
v_query_ga_source_medium="select * from
(
sele... |
253fd2427a9b4584cddad50be88253085b55b549 | 362 | #!/bin/sh
ROM_TREE=/media/powermetza/hdd1/home/powermetza/11/
# Clean up
cd $ROM_TREE/frameworks/av
git clean -f -d && git reset --hard
cd $ROM_TREE/frameworks/base
git clean -f -d && git reset --hard
cd $ROM_TREE/ hardware/samsung
git clean -f -d && git reset --hard
cd $ROM_TREE/ packages/apps/Settings
git clean -f ... |
94b99e191872563b92ab2e70590fad35940f250f | 330 | #! /bin/sh
eACommander >&2 -r \
--address 0x00000000 -f "${PTXDIST_PLATFORMDIR}/images/geckoboot-image" \
--address 0x00080000 -f "${PTXDIST_PLATFORMDIR}/images/efm32gg-dk3750.dtb" \
--address 0x8c000000 -f "${PTXDIST_PLATFORMDIR}/images/linuximage" \
--address 0x8c400000 -f "${PTXDIST_PLATFORMDIR}/images/root.rom... |
3a82064267b795db8d30cfc05dd04a518fa9aec3 | 109 | #!/usr/bin/env bash
node set-generator.js name | pbcopy
node phrase-generator.js wikitext/file uuid | pbcopy
|
fd1d917f9ce68d28a099aafe39b0e21330ecb950 | 5,804 | #!/bin/bash
set -x
function usage() {
echo "./build.sh sgxsdk|graphene|scone|sgxlkl"
}
# You need the SGX SDK and PSW installed.
if [[ $# -gt 1 || $# -eq 0 ]]; then
echo "wrong number of arguments"
usage
exit 1
fi
[[ $# -eq 1 ]] && VARIANT=$1
if [[ ! ( $VARIANT == "scone" ||
$VARIA... |
8f4046b30d7c2ebf68ce4f2b005853fe2475a9e9 | 403 | #!/bin/bash
printf "Stopping\n"
if [ -f ./pid ]
then
PID=`cat pid`
printf "Killing process $PID\n"
while true
do
kill $PID
sleep 1
kill -0 $PID 1> /dev/null 2> /dev/null
if [ $? -eq 0 ]
then
echo "Trying to kill $PID again"
else
echo "Process $PID killed"
rm pid
... |
187ee406bbd43eec8ef6430fca4e92480b96f40b | 684 | #$ -S /bin/bash
#$ -cwd
#$ -N tss_detector
#$ -o tss_detector.out.$JOB_ID
#$ -j y
#$ -pe bscb 32
#$ -M dankoc@gmail.com
#$ -m be
#$ -l h_rt=24:00:00
STARTDIR=`pwd`
## Copy files to scratch space (/workdir and /SSD).
SCRATCH=/SSD/cgd24_tssDetector_galGal
mkdir $SCRATCH
cp /home/cgd24/projects/tss_detector/run_svm_galG... |
4088ed2e6b1e8930e2b6be2b5ea1e2b7092833e9 | 60 | i=0
while [ $i -lt 10 ]
do
echo i is $i
let i=$i+1
done
|
05a3eee92024307be4c11f3af55a58b5681bda92 | 131 | #!/bin/bash
set -e
ROOT=`dirname "${BASH_SOURCE[0]}"`
source ${ROOT}/venv.sh
exec pip install -r system/requirements.txt --upgrade
|
4c71a4ce67c81c16c511c8765278a30229e78ad4 | 141 | #!/bin/bash
while true; do
avconv -loglevel verbose -re -i /vid/1.mp4 -c:a copy -c:v copy -f flv rtmp://localhost/myapp/1 &
sleep 1
done
|
d501bd12cae6771b8e7b19ca80916c0400bd86d9 | 190 | #!/usr/bin/env bash
# MySQL
MYSQL_VERSION=5.7.22
MYSQL_HOST=mysqldb
MYSQL_DATABASE=babadumaindb
MYSQL_ROOT_USER=vagrant
MYSQL_ROOT_PASSWORD=vagrant
MYSQL_USER=vagrant
MYSQL_PASSWORD=vagrant |
5e62221d60de4696fe50cdbbe7a341045d277db8 | 316 | for round in $(seq 1 4); do
for tr_ex in $(seq 1 8); do (
echo ".load ../links_goto/links_goto_${round}_${tr_ex}.dat"
echo ".logfile log_goto_${round}_${tr_ex}.txt"
echo ".f ../test_goto_files/goto_list.txt"
echo ".f ../test_goto_files/test_goto.txt"
echo ".q") | annabell
done
done
|
ff5cb871c34f5e5e5655ac31b3ccbb5b0fb2d776 | 286 | #!/bin/bash
./prepare.sh || exit 1
./get-kubespray.sh || exit 1
./pypi-mirror.sh || exit 1
./download-kubespray-files.sh || exit 1
./download-additional-containers.sh || exit 1
./create-repo.sh || exit 1
./mirror-docker-ce.sh || exit 1
./copy-target-scripts.sh || exit 1
echo "Done."
|
60202d343046cd6e0e90d2a46ea40cc1994a6dc2 | 102 | # App
PORT=
# Session
SESSION_SECRET=
# MongoDB
MONGO_HOST=
MONGO_USER=
MONGO_PASS=
MONGO_DATABASE=
|
c901a89c2d60d9ea6983cac9a5bd5b2236523304 | 104 | #!/usr/bin/env bash
ddocker run -e PASSWORD=ubuntu -e SUDO=yes -it --rm -p 80:6080 algorithm-cpp:latest |
ee72bb05ffeb1b627643b0d2c1998b22cc4af862 | 16,639 | #!/bin/bash
#RIP_TEMP=/smb/newton/media_rw/media4/temp
RIP_TEMP=/smb/newton/media/peer2peer
ENC_TEMP=/disks/media
FINAL=/disks/media
LOGS=/disks/media
run_long() {
fn=$1
shift
echo "$*"
$* > $LOGS/$fn.out 2> $LOGS/$fn.err
}
run_cmd() {
run_long "$*"
}
BASE=$1
ACTIONS="$2"
if [ -z "$ACTIONS" ]; then
ACTIONS="g... |
27c3e1d0bb9898355d9357eec740950c20ef0b34 | 2,325 | # Path to your oh-my-zsh installation.
export ZSH="/home/marko/.oh-my-zsh"
# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ ... |
a20f1642510bcab9c52431af8624f248b3982ad0 | 199 | #!/usr/bin/env sh
mkdir protoc
cd protoc
wget https://github.com/google/protobuf/releases/download/v3.0.0/protoc-3.0.0-linux-x86_64.zip
unzip protoc-3.0.0-linux-x86_64.zip
chmod +x bin/protoc
cd ..
|
42ab6909de890e5908dcc66763a9bdd9d143b8b2 | 157 | docker run -it -p 8888:8888 --network docker_hadabot_network --entrypoint /bin/bash dsryzhov/jupyter-ros2
jupyter lab --ip=0.0.0.0 --no-browser --allow-root
|
d7be9a23071e5f5af52e5852d4a51cbee330e755 | 2,910 | #!/usr/bin/env sh
superuser_name=$(whiptail --title "Create superuser" --inputbox "Input superuser name" 10 60 3>&1 1>&2 2>&3)
[ $? -ne 0 ] || [ -z "$superuser_name" ] && echo "Operation aborted by user" && return 1
superuser_mail=$(whiptail --title "Create superuser" --inputbox "Input superuser mail" 10 60 3>&1 1>&2... |
d083d563f6080759fb6821d30337155c59fa03b3 | 3,126 | #!/usr/bin/env bash
set -eu
function _clone_or_update() {
repo=$1
path=$2
if [ -d "${path}" ]; then
git -C "${path}" pull
else
git clone "${repo}" "${path}"
fi
}
function _create_opam_switch_if_needed() {
if [[ $(opam switch show) != "${PWD}" ]]; then
opam switch create . ocaml-base-compiler.4.11.1 --wi... |
716b8bf2fa4050901cceae869ed37cce80632d7a | 2,962 | #!/bin/bash
#################################################################
# #
# Author: Joe Jiang #
# Lable: build-all.sh #
# Information: buildLFM ... |
163217a1687eaad8a31a2f92c2b0cfbadf554da0 | 354 | #!/bin/bash
#$ -N ppcan
#$ -cwd
#$ -q gpu
#$ -e error_marchiorot.e
#$ -o output_marchiorot.o
#$ -m bea
source /nfsd/opt/anaconda3/anaconda3.sh
conda activate /nfsd/opt/anaconda3/tensorflow
python -u main.py --mode 1 --alpha 0.25
python -u main.py --mode 2 --alpha 0.5
chmod +x train_exp_1.sh
chmod +x train_exp_2.sh
... |
8bf32428e0514e94709df44de5a8ebefebade6f8 | 73 | #!/bin/sh
9p read acme/$winid/tag|awk '{sub("Del.*", ""); print; exit}'
|
916d581d852c4301e8a186873101a492cde226fc | 30 | brew cask install node-webkit
|
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.